FROM openshift/golang-builder@sha256:2c34135dc4d4a35fa19775e4e559e2e6f2e476a0ccdc993360e3663729904035 AS builder
ENV __doozer=update BUILD_RELEASE=202201210133.p0.g0519730.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202201210133.p0.g0519730.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0519730 OS_GIT_VERSION=4.8.0-202201210133.p0.g0519730.assembly.stream-0519730 SOURCE_DATE_EPOCH=1616581228 SOURCE_GIT_COMMIT=0519730f75f89c11f1ee07c7f81b0bcae1ddf705 SOURCE_GIT_TAG=v1.0.0-rc1-423-g0519730f SOURCE_GIT_URL=https://github.com/openshift/csi-node-driver-registrar 
WORKDIR /go/src/github.com/kubernetes-csi/node-driver-registrar
COPY . .
RUN make build

FROM openshift/ose-base:v4.8.0-202112141153.p0.gad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202201210133.p0.g0519730.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202201210133.p0.g0519730.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0519730 OS_GIT_VERSION=4.8.0-202201210133.p0.g0519730.assembly.stream-0519730 SOURCE_DATE_EPOCH=1616581228 SOURCE_GIT_COMMIT=0519730f75f89c11f1ee07c7f81b0bcae1ddf705 SOURCE_GIT_TAG=v1.0.0-rc1-423-g0519730f SOURCE_GIT_URL=https://github.com/openshift/csi-node-driver-registrar 
COPY --from=builder /go/src/github.com/kubernetes-csi/node-driver-registrar/bin/csi-node-driver-registrar /usr/bin/
ENTRYPOINT ["/usr/bin/csi-node-driver-registrar"]

LABEL \
        name="openshift/ose-csi-node-driver-registrar" \
        com.redhat.component="csi-node-driver-registrar-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202201210133.p0.g0519730.assembly.stream" \
        io.openshift.build.commit.id="0519730f75f89c11f1ee07c7f81b0bcae1ddf705" \
        io.openshift.build.source-location="https://github.com/openshift/csi-node-driver-registrar" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-node-driver-registrar/commit/0519730f75f89c11f1ee07c7f81b0bcae1ddf705" \
        version="v4.8.0"

